Jobs
Pause Job
Pause a Job. Pauses any JobRuns and the Job schedule if applicable.
POST
/
{workspaceId}
/
projects
/
{projectName}
/
jobs
/
{jobId}
/
pause
pauseJob
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.jobs.pause(
"my-project",
"my-sample-job",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.jobs.pause(
project_name="my-project",
job_id="my-sample-job",
)
print(res)curl --request POST \
--url https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/jobs/{jobId}/pause \
--header 'x-api-key: <api-key>'const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.intuned.io/api/v1/workspace/{workspaceId}/projects/{projectName}/jobs/{jobId}/pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Paused"
}{
"code": "bad-request",
"category": "user",
"message": "<string>",
"retirable": false,
"correlationId": "<string>",
"details": "<unknown>"
}{
"code": "unauthorized",
"category": "user",
"message": "<string>",
"retirable": false,
"correlationId": "<string>",
"details": "<unknown>"
}{
"code": "not-found",
"category": "user",
"message": "<string>",
"retirable": false,
"correlationId": "<string>",
"details": "<unknown>"
}Authorizations
API Key used to authenticate your requests. How to create one.
Path Parameters
Your workspace ID. How to find it?
The name you assigned when creating the Project.
The ID you assigned when creating the Job.
Response
Job paused successfully.
Available options:
Paused Previous
Resume JobResume a paused Job. Resumes any paused JobRuns and the Job schedule if applicable.
Next
⌘I
pauseJob
import { IntunedClient } from "@intuned/client";
const client = new IntunedClient({
workspaceId: "123e4567-e89b-12d3-a456-426614174000",
apiKey: process.env["INTUNED_API_KEY"] ?? "",
});
async function run() {
const result = await client.projects.jobs.pause(
"my-project",
"my-sample-job",
);
console.log(result);
}
run();from intuned_client import IntunedClient
import os
with IntunedClient(
workspace_id="123e4567-e89b-12d3-a456-426614174000",
api_key=os.getenv("INTUNED_API_KEY", ""),
) as client:
res = client.projects.jobs.pause(
project_name="my-project",
job_id="my-sample-job",
)
print(res)